Bug Hunting Session
Bug 61222 - EDITING: AutoCaption doesn't work when copy-pasting spreadsheets
Summary: EDITING: AutoCaption doesn't work when copy-pasting spreadsheets
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
4.1.0.0.alpha0+ Master
Hardware: x86-64 (AMD64) All
: medium minor
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Paste AutoCaption
  Show dependency treegraph
 
Reported: 2013-02-21 10:08 UTC by Krisztian Pinter
Modified: 2019-12-03 14:09 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Krisztian Pinter 2013-02-21 10:08:59 UTC
Overview:

With AutoCaption turned on for spreadsheets, copy-pasting a spreadsheet into a document doesn't add captions to it.

Steps to Reproduce:

1) Open a new document in Writer.

2) Turn on Tools/Options -> LibreOffice Writer/AutoCaption -> LibreOffice Spreadsheet checkbox.

3) Open some spreadsheet, select some cells, and copy.

4) Paste in Writer.

Actual Results:

The spreadheet is pasted without a caption.

Expected Results:

The spreadheed should pe pasted and also have a caption.
Comment 1 Brenda Granados 2013-02-22 16:52:09 UTC
Hi, I confirmed this on 4.1.0.0.alpha0+Master.  There is no caption below the pasted spreadsheet. I tried to edit -> paste, as well as edit -> paste special.
Comment 2 A (Andy) 2015-02-12 20:34:29 UTC
Reproducible with LO 4.4.0.3, Win 8.1
Comment 3 QA Administrators 2016-02-21 08:37:36 UTC Comment hidden (obsolete)
Comment 4 QA Administrators 2017-03-06 15:54:47 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2019-12-03 14:09:30 UTC
Dear Krisztian Pinter,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug